C Test if/then/else handling
      
      PROGRAM IF

10    I=0
      J=0
      K=0

      print *,'VINCE RULES'

      IF (I .eq. 0) THEN
        WRITE (*,*) 'OK'
      ELSE
        WRITE (*,*) 'BAD'
      ENDIF

      IF (J .eq. 0) WRITE (*,*) 'GOOGO'

      IF (J .eq. I) THEN
        WRITE (*,*) 'KRG'
      ELSE IF (J .eq. 0) THEN
        WRITE (*,*) 'AMG'
      ELSE
        WRITE (*,*) 'MLP'
      ENDIF

123   IF (K .eq. I) THEN
        WRITE (*,*) 'KRG'
      ELSE IF (J .eq. K) THEN
        WRITE (*,*) 'AAT'
      ELSE IF (K .eq. 0) THEN
        WRITE (*,*) 'MLP'
      ELSE
        WRITE (*,*) 'EAD'
      ENDIF

      IF (I .eq. 0) GOTO 400

      STOP "ERROR"
      
400   WRITE (*,*) 'GOODBYE'
      
      END
